summaryrefslogtreecommitdiffstats
path: root/retiolum
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-08-13 16:19:33 +0200
committermakefu <github@syntax-fehler.de>2011-08-13 16:19:33 +0200
commit56dec36bdcb05d59eb0feef63bf866bc78bba49f (patch)
treebcac21c3e977c7c332bb45990f7c16a6b155b531 /retiolum
parentdf758080d53482d0680a8eda3d5f5e1888ae091c (diff)
tinc_setup/install.sh: update failsafe behavior
install script checks if the chosen ip is already taken.
Diffstat (limited to 'retiolum')
-rwxr-xr-xretiolum/scripts/tinc_setup/install.sh13
1 files changed, 4 insertions, 9 deletions
diff --git a/retiolum/scripts/tinc_setup/install.sh b/retiolum/scripts/tinc_setup/install.sh
index 0902d417..526dbe1f 100755
--- a/retiolum/scripts/tinc_setup/install.sh
+++ b/retiolum/scripts/tinc_setup/install.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# USE WITH GREAT CAUTION
-set -euf
+set -eu
if test "${nosudo-false}" != true -a `id -u` != 0; then
echo "we're going sudo..." >&2
@@ -12,7 +12,7 @@ fi
set -e
DIRNAME=`dirname $0`
CURR=`readlink -f ${DIRNAME}`
-MYBIN=../../bin
+MYBIN=${CURR}/../../bin
netname=retiolum
# create configuration directory for $netname
mkdir -p /etc/tinc/$netname/hosts
@@ -37,18 +37,13 @@ then
then
echo "select v4 subnet ip (1-255) :"
read v4num
- myipv4=10.7.7.$v4num
- if [ "$v4num" -gt 0 -a "$v4num" -lt "256" ];
- then
- echo "check"
- else
- echo "you are made of stupid. bailing out"
+ if ! $MYBIN/check-free-retiolum-v4 $v4num;then
exit 1
fi
fi
echo "Subnet = $myipv4" > hosts/$myname
- myipv6=`${CURR}/../../bin/fillxx 42:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx`/128
+ myipv6=`$MYBIN/fillxx 42:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx`/128
echo "Subnet = $myipv6" >> hosts/$myname
else
echo "own host file already exists! will not write again!"